#version 330

in vec3 WorldPos0;
in vec3 Normal0;
out vec4 FragColor;

uniform vec3 camPos;
uniform samplerCube CubeTex;


void main()
{
    vec3 I = normalize(camPos - WorldPos0);
    vec3 R = reflect(I,normalize(Normal0));
    FragColor = texture(CubeTex,R);

}