#version 330

layout (location = 0) in vec3 Position;
layout (location = 1) in vec2 TexCoord;
layout (location = 2) in vec3 NormalWorld;

uniform mat4 WVP;
uniform mat4 WT;


out vec3 WorldPos0;
out vec3 Normal0;

void main()
{
	gl_Position = (WVP * vec4(Position, 1.0));
	WorldPos0 = (WT *  vec4(Position,1.0)).xyz;
	Normal0 = vec3(WT* vec4(NormalWorld,0.0));
}